FROM jboss/wildfly:13.0.0.Final
LABEL maintainer="Luca Lattore <luca.lattore@waveinformatica.com>"
RUN mkdir -p /opt/jboss/wildfly/standalone/Ocean/ROOT/modules/
ADD ROOT.war /opt/jboss/wildfly/standalone/deployments/ROOT.war
ADD dependency/persistence-hibernate-43-${version}.jar /opt/jboss/wildfly/standalone/Ocean/ROOT/modules/com.waveinformatica.ocean.persistence-hibernate-43.jar
ADD dependency/pages-${version}.jar /opt/jboss/wildfly/standalone/Ocean/ROOT/modules/com.waveinformatica.ocean.pages.jar

ADD docker /opt/jboss/wildfly/customization/

RUN curl -o /tmp/postgresql-jdbc.jar https://jdbc.postgresql.org/download/postgresql-42.2.5.jar
RUN curl -o /tmp/mysql-jdbc.jar https://repo1.maven.org/maven2/mysql/mysql-connector-java/5.1.45/mysql-connector-java-5.1.45.jar

RUN /opt/jboss/wildfly/bin/add-user.sh admin Wave --silent
RUN /opt/jboss/wildfly/customization/execute.sh standalone
RUN rm -rf /opt/jboss/wildfly/standalone/configuration/standalone_xml_history/current

EXPOSE 8787
EXPOSE 9990

CMD ["/opt/jboss/wildfly/bin/standalone.sh", "-b", "0.0.0.0", "-bmanagement", "0.0.0.0", "--debug"]
